#
# spec file for package spec (Version 2.0)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild

Name:         arcem
License:      GPL
Group:        unsorted
Autoreqprov:  on
Version:      20081102
Release:      2.16
Summary:      Acorn Archimedes Emulator
Source:       %name-%version.tar.bz2
Source1:      blank.adf.gz
Source2:      hostfs_hdform.adf.gz
Patch:        %name.dif
BuildRequires: xorg-x11-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Acorn Archimedes emulator. Requires a RISC OS 2 or 3 ROM image. The default
name expected is /usr/share/arcem/ROM. You can override this with the "--rom"
option.

Some hints:
- Capture/uncapture the mouse pointer by pressing + on the numeric keypad.
- Floppy and hard disc images need to reside in the current directory and have
  to be named "FloppyImage<number>" and "HardImage<number>". Note that the
  number for the first drive is 0 for floppies and 1 for hard discs.
- Formatting floppy discs from the emulator does not work. You can find an
  empty formatted disc image in /usr/share/arcem.
- Hard discs have to be defined in the configuration file ("~/.arcemrc"). An
  example can be found in /usr/share/doc/packages/arcemrc.
- Use the parameter "--hostfsdir <directory>" to make host directories
  accessible from RISC OS. There is a floppy image containing the necessary
  RISC OS modules (as well as a tool for formatting hard discs) in
  /usr/share/arcem.

%prep
%setup -n %name
%patch

%build
make %{?jobs:-j%jobs} \
%ifarch ppc ppc64 s390 s390x
	HOST_BIGENDIAN=yes
%else
	HOST_BIGENDIAN=no
%endif

%install
install -D -m 755 arcem $RPM_BUILD_ROOT/usr/bin/arcem
install -d -m 755 $RPM_BUILD_ROOT/usr/share/arcem
install -m 644 %SOURCE1 %SOURCE2 $RPM_BUILD_ROOT/usr/share/arcem/

%files
%defattr(-,root,root)
%doc docs/* manual.html arcemrc
/usr/bin/arcem
/usr/share/arcem

%changelog
* Thu Apr 29 2010 uli@suse.de
- rebuild patch so it applies with --fuzz=0
* Wed Sep  9 2009 uli@suse.de
- update -> 20081102 CVS (that's the last commit as of today)
